use rocket::fairing::AdHoc;
use rocket::response::status;
use crate::api::util::read_p5x_config;

#[get("/pubkey")]
fn get_pubkey() -> Result<String, status::Custom<String>> {
    let config = read_p5x_config();
    Ok(config.ssh_pubkey)
}

pub(super) fn init() -> AdHoc {
    AdHoc::on_ignite("Routes: /system", |rocket| async {
        rocket.mount("/system", routes![get_pubkey])
    })
}
